var methodList = [
    "openPicker",
    "openBrowser",
    "openCropper",
    "clearOutputImages",
    "saveToPhotoAlbum",
    "openLabelViewContainer",
    "addLabelView",
    "getPicInfoWithLabelViews",
    "showLabelViewPic",
    "compressImage",
]
var imgPath = "";
function openPickerMethod(){
    var json = {
        min: 2,
        max: 3,
        quality: 0.9,
        detailedInfo: true
    }
    corImage.openPicker(json,function(error,info){
        if (error == -1) {
            alert("取消操作");
        } else if (error == 0) {
            alert(info.data);
            imgPath = info.data[0]
        } else {
            alert("失败");
        }
    })
}
function openBrowserMethod(){
    var json ={
        displayActionButton:true,
        displayNavArrows:true,
        enableGrid:true,
        startIndex:2,
        data:["http://edu.gzmtr.cc/courseware/longImg/f15e1be3-5704-419b-9419-9b1cdcdd111c.jpg"]
//        data:["res://photo1.jpg",
//            {
//                src:"res://photo2.jpg",
//                thumb:"res://photo2t.jpg"
//            },
//            {
//                src:"res://photo3.jpg",
//                thumb:"res://photo3t.jpg",
//                desc:"22222222222222"
//            },
//            {
//                src:"http://pic.fxxz.com/up/2016-5/201654940195240.jpg",
//                thumb:"res://photo4t.jpg",
//                desc:"22222222222222"
//            }
//        ]
    };
    corImage.openBrowser(json,function(){
        alert("关闭");
    })
}
function openCropperMethod(){
    var json={
        src:"res://photo4.jpg",
        mode:2
    };
    corImage.openCropper(json,function(error,info){
        if(error==-1){
            alert("操作取消");
        }else if(error==0) {
            alert(info.data);
        }
    })
}
function clearOutputImagesMethod(){
    var result = corImage.clearOutputImages();
    alert('result:'+result)
}
function saveToPhotoAlbumMethod(){
    var json={
        localPath:"res://photo4.jpg"
    };
    corImage.saveToPhotoAlbum(json,function(error,data){
        if(!error){
            alert("保存成功！")
        }else{
            alert("保存失败!" + data);
        }
    })
}
function openLabelViewContainerMethod(){
    var json = {
        width: 600,
        height: 333,
        image:"res://photo2.jpg",
        x:50,
        y:500,
    }
    corImage.openLabelViewContainer(json)
}
function addLabelViewMethod(){
    var json = {
        id: 1,
        content: "content",
        x: 20,
        y: 40
    };
    corImage.addLabelView(json)
}
function getPicInfoWithLabelViewsMethod(){
    var result = corImage.getPicInfoWithLabelViews();
    alert('result:'+JSON.stringify(result))
}
function showLabelViewPicMethod(){
    var json = {
        width: 720,
        height: 400,
        image:"res://photo2.jpg",
        x:0,
        y:0,
        labels: [
            {
                id: "1",
                content: "content",
                left: "0.033",
                right: "0.358",
                top: "0.120",
                bottom: "0.276"
            },
            {
                id: "2",
                content: "label content 2",
                left: "0.083",
                right: "0.578",
                top: "0.300",
                bottom: "0.456",
                targetPointMode:0
            },
            {
                id: "3",
                content: "label content 3",
                left: "0.167",
                right: "0.752",
                top: "0.601",
                bottom: "0.757",
                targetPointMode:1
            }
        ]
    };
    corImage.showLabelViewPic(json)
}
function compressImageMethod(){
    if(imgPath == ""){
        alert("请先调用openPicker接口选择一张照片!");
        return;
    }
    var json = {
        srcPath : imgPath,
        desLength : 200*100
    };
    corImage.compressImage(json,function(error,data){
        if(error == 1){
            alert("成功！" + JSON.stringify(data))
        }else{
            alert("失败！" + JSON.stringify(data))
        }
    })
}